Subject: [ipcdn] pktcRingCadence explanation changed from sig-draft-5 to sig-draft-7

From: "Kumar, Satish" <[email-masked]>
Date: Tue, 16 Nov 2004 12:16:40 -0600

Hi,
 I have a question on ring cadence repeatable characteristics.
The IETF draft-5 has the description for pktcRingCadnece as below:

PktcRingCadence   ::= TEXTUAL-CONVENTION 
       STATUS        current 
       DESCRIPTION 
           "  
             This object represents a ring cadence and repeatable 
             Characteristics in a bit string format. The first two 
             octets of the bit string represent the length in bits of 
             the duration of the cadence (i.e., the number of bits that 
             follow the third octet). The third octet is used to 
             represent repeatable characteristics. 00000000 means 
             repeatable, and 10000000 means non repeatable. Each bit 
             after the third octet represents 50 ms and 1 represents 
             ring and 0 represents silent. The first bit of the fourth 
             octet is the first bit of the ring cadence. All bits are 
             counted in network order such that the octet with only the 
             first bit set will look like 10000000 bit sequence. A 
             total of 264 bits can be set to represent 13200 ms of 
             total cadence cycle. There will be at most 3 on/off 
             transitions per cadence period." 
       SYNTAX  OCTET STRING (SIZE(4..36)) 

But the draft-7 has 

            This object provides an encoding scheme for ring  
            cadences, including repeatability characteristics. All  
            fields in this object MUST be encoded in network-byte  
            order. 

            The first three higher order octets are reserved. The  
            octets that follow are used to encode a 'bit-string', with  
            each bit corresponding to 50 milliseconds. A bit value of  
            '1' indicates the presence of a ring-tone and a bit value  
            of '0' indicates the absence of a ring-tone, for that  
            duration (50 ms) (Note: A minimum number of octets  
            required to encode the bit-string MUST be used). 
   
            The first two of the reserved octets MUST indicate the  
            length of the encoded cadence (in bits) and MUST range  
            between 1 and 264. (Note: The length in bits MUST also be  
            consistent with the number of octets that encode the  
            cadence). The MTA MUST ignore any unused bits in the last  
            octet, but MUST reflect the value as provided on  
            subsequent SNMP GETs. 
   
            The third of the reserved octets indicates 'repeatability'  
            and MUST be either 0x80 or 0x00 - the former value  
            indicating 'repeatability' and the latter indicating 'non- 
            repeatability'. 
   
            The MTA MUST reject attempts to set a value that violates  
            any of the above requirements" 
          SYNTAX  OCTET STRING (SIZE(4..36)) 
    
My question here is the item marked in RED is changed from draft-5 to
draft-7. Is it a typo or the intended changes?? 0x80 is changed from
non-repeatable(draft-5) to repeatable(draft-7)!!!!
 
 Thx,  
 Satish  Kumar,
Texas Instruments 

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Sumanth Channabasappa" <[email-masked]>
Date: Wed, 17 Nov 2004 12:51:27 -0700

Hi Satish,
 
This was missed during the review period. For reasons of backward
compatibility this
should be reverrted as :
 
            "The third of the reserved octets indicates 'repeatability'

            and MUST be either 0x80 or 0x00 - the former value  
            indicating 'non-repeatability' and the latter indicating 
            'repeatability'. "
 
This will taken care of in the next release of this draft - good catch.
 
Thanks!
Sumanth

	-----Original Message-----
	From: Satish Kumar at Texas Instruments 
	Sent: Tuesday, November 16, 2004 11:17 AM
	To: Sumanth Channabasappa; [email-masked]
	Subject: pktcRingCadence explanation changed from sig-draft-5 to
sig-draft-7

	Hi,
	 I have a question on ring cadence repeatable characteristics.
	The IETF draft-5 has the description for pktcRingCadnece as
below:

	PktcRingCadence   ::= TEXTUAL-CONVENTION 
	       STATUS        current 
	       DESCRIPTION 
	           "  
	             This object represents a ring cadence and
repeatable 
	             Characteristics in a bit string format. The first
two 
	             octets of the bit string represent the length in
bits of 
	             the duration of the cadence (i.e., the number of
bits that 
	             follow the third octet). The third octet is used to

	             represent repeatable characteristics. 00000000
means 
	             repeatable, and 10000000 means non repeatable. Each
bit 
	             after the third octet represents 50 ms and 1
represents 
	             ring and 0 represents silent. The first bit of the
fourth 
	             octet is the first bit of the ring cadence. All
bits are 
	             counted in network order such that the octet with
only the 
	             first bit set will look like 10000000 bit sequence.
A 
	             total of 264 bits can be set to represent 13200 ms
of 
	             total cadence cycle. There will be at most 3 on/off

	But the draft-7 has 

	            This object provides an encoding scheme for ring  
	            cadences, including repeatability characteristics.
All  
	            fields in this object MUST be encoded in
network-byte  
	            order. 
	
	            The first three higher order octets are reserved.
The  
	            octets that follow are used to encode a
'bit-string', with  
	            each bit corresponding to 50 milliseconds. A bit
value of  
	            '1' indicates the presence of a ring-tone and a bit
value  
	            of '0' indicates the absence of a ring-tone, for
that  
	            duration (50 ms) (Note: A minimum number of octets  
	            required to encode the bit-string MUST be used). 
	   
	            The first two of the reserved octets MUST indicate
the  
	            length of the encoded cadence (in bits) and MUST
range  
	            between 1 and 264. (Note: The length in bits MUST
also be  
	            consistent with the number of octets that encode the

	            cadence). The MTA MUST ignore any unused bits in the
last  
	            octet, but MUST reflect the value as provided on  
	            subsequent SNMP GETs. 
	   
	            The third of the reserved octets indicates
'repeatability'  
	            and MUST be either 0x80 or 0x00 - the former value  
	            indicating 'repeatability' and the latter indicating
'non- 
	            repeatability'. 
	   
	            The MTA MUST reject attempts to set a value that
violates  
	            any of the above requirements" 
	          SYNTAX  OCTET STRING (SIZE(4..36)) 
	    
	My question here is the item marked in RED is changed from
draft-5 to draft-7. Is it a typo or the intended changes?? 0x80 is
changed from non-repeatable(draft-5) to repeatable(draft-7)!!!!
	 
	 Thx,  
	 Satish  Kumar,
	Texas Instruments

---

From: Beacham Gordon-CGB005 <[email-masked]>
Date: Wed, 17 Nov 2004 13:56:58 -0800

Draft 5, 6 and an early version of 7 stated:
 
"00000000 means repeatable, and 10000000 means non repeatable. The value of 
            the repeatable field MUST be 0x00 or 0x80."
 
I think the original intent and wording should be retained and the description updated to:
 
The third of the reserved octets indicates 'repeatability'  
            and MUST be either 0x80 or 0x00 - the former value  
            indicating 'non-repeatability' and the latter indicating '
            repeatability'. 

Gordon

Hi,

I have a question on ring cadence repeatable characteristics. The IETF draft-5 has the description for pktcRingCadnece as below:

STATUS current 

DESCRIPTION 

" 

But the draft-7 has 

order. 

subsequent SNMP GETs. 

repeatability'. 

My question here is the item marked in RED is changed from draft-5 to draft-7. Is it a typo or the intended changes?? 0x80 is changed from

Thx, 

Satish Kumar,

Texas Instruments